# _MFT_FileRecord Struct Reference

`#include <MFT_FileRecord.hxx>`

## Data Fields

MFT_FileHandle | fileHandle
MFT_FilePosition | beginPosition
MFT_FilePosition | recordPosition
unsigned int | recordSize
Standard_Boolean | update
Standard_CString | precord
Standard_CString | precordMMAPAddress
MFT_FilePosition | recordMMAPPosition
long int | recordMMAPSize
Standard_Boolean | swap

## Field Documentation

MFT_FilePosition _MFT_FileRecord::beginPosition

MFT_FileHandle _MFT_FileRecord::fileHandle

Standard_CString _MFT_FileRecord::precord

Standard_CString _MFT_FileRecord::precordMMAPAddress

MFT_FilePosition _MFT_FileRecord::recordMMAPPosition

long int _MFT_FileRecord::recordMMAPSize

MFT_FilePosition _MFT_FileRecord::recordPosition

unsigned int _MFT_FileRecord::recordSize

Standard_Boolean _MFT_FileRecord::swap

Standard_Boolean _MFT_FileRecord::update

The documentation for this struct was generated from the following file:

- MFT_FileRecord.hxx